Use the current-gen9 version of the HP repo